Scope requirements
Scope requirements
Create a note
To create a note, make aPOST request to /crm/objects/2026-03/notes.
In the request body, add note details in a properties object. You can also add an associations object to associate your new note with an existing record (e.g., contacts, companies).
Properties
In the properties object, you can include the following fields:Associations
To create and associate a note with existing records, include an associations object in your request. For example, to create a note and associate it with a company and deal, your request body might look similar to the following:
Learn more about batch creating notes in the reference documentation.
Retrieve notes
You can retrieve notes individually or in batches. To retrieve an individual note, make aGET request to /crm/objects/2026-03/notes/{noteId}.
To request a list of all notes, make a GET request to /crm/objects/2026-03/notes.
For both endpoints, you can include the following query parameters in the request URL:
For example, to retrieve notes with their text content and any associated contact IDs, your request URL might look similar to the following:
https://api.hubapi.com/crm/objects/2026-03/notes?limit=10&properties=hs_note_body&associations=contact&archived=false.
Learn more about retrieving a batch of notes by internal ID or unique property value in the reference documentation.
Update notes
You can update notes individually or in batches. To update an individual note by its note ID, make aPATCH request to /crm/objects/2026-03/notes/{noteId}.
In the request body, include the note properties that you want to update:
Associate existing notes with records
To associate a note with other CRM records, such as a contact, make aPUT request to /crm/objects/2026-03/notes/{noteId}/associations/{toObjectType}/{toObjectId}/{associationTypeId}. The request URL contains the following fields:
For example, your request URL might look similar to the following:
https://api.hubspot.com/crm/objects/2026-03/notes/17147287858/associations/contact/581751/202
Remove an association
To remove an association between a note and a record, make aDELETE request to the same URL as above:
/crm/objects/2026-03/notes/{noteId}/associations/{toObjectType}/{toObjectId}/{associationTypeId}
Pin a note on a record
You can pin a note on a record so it remains on the top of the record’s timeline. The note must already be associated with the record prior to pinning, and you can only pin one activity per record. To pin a note, include the note’sid in the hs_pinned_engagement_id field when creating or updating a record via the object APIs. Learn more about using the companies,contacts, deals, tickets, and custom objects APIs.
Delete notes
You can delete notes individually or in batches, which will add the note to the recycling bin in HubSpot. You can later restore the note from the record timeline. To delete an individual note by its note ID, make aDELETE request to /crm/objects/2026-03/notes/{noteId}.
Learn more about deleting notes in the reference documentation.